OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Please Help The New Guy :-), cannot install anything under cacko
Curious Aardvark
post Jan 29 2005, 06:19 PM
Post #1





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



Right first off I bought my c860 from japan-direct.com. Over £100 cheaper than shirtpocket and excellent service all round. Highly recommended.
I've had a zaurus 5500 for couple of years so fairly conversant with sharp based zaurus roms.
Looked at the convert to english routine for c860 and then looked at flash rom with cackoo routine and decided to wimp out and go straight for the rom flash. (and no I didn't backup original rom first - Hey I wanted to see it work in english :-)

Worked a treat, I hid the hancom crap icons and other stuff I didn't want. Right up till the point I wanted to install a decent text editor (entire 'justifiable' reason for getting 860 was keyboard for writing)
No joy. Either the installer tells me that 'it's sorry but something went wrong'. Or that there is an error in the ipk (not true). I've even tried the console and ipkg'ng manually but all it wants to do is ask me if I've updated (tried that too) and to look for stuff on the cacko feed (I'd love to but it won't install any of those either)
First time I Installed the rom I managed to get to the point where it would install to the sd card but not to flash memory.
Have looked at all other available roms tonight (pdaxrom is pretty amazing but hardcore linux and I just don't mix well, and tkc rom just sat on the sharp boot screen for 20 minutes and went nowhere) and ended up reflashing cacko and now can't even install to sd card !

Trawled these forums and have deleted /usr/lib/ipkg (might be wrong name but I did it right at the time) from my sd card.
have tried to do same from zaurus memory. But linux doesn't seem to have a proper 'deltree' command. rmdir just tells me that it can only remove empty folders (bit pointless, in my opinion :-) and there seem to be too many to do each bloody one individually.

I do like the look and feel of the rom (though what's with netfront and not being able to click on links ? I'll stick to opera :-) but having discovered that it's possible to do a nand-ram restore to sharp original (downloaded the file). I've got to say it's looking tempting. And I think the restore I got from a germen site has even been converted to english.

So is it me ? I'll be the first to admit that as an old msdos fan and still frequent user (yes really) I really don't like or can find the logic in the linux commands - is there a deltree equivalent or should I Be doing something entirely different ?

Please help - don't want to risk bricking my zaurus with nand-restore but unless I can install ipks I don't really see any other option :-(
Go to the top of the page
 
+Quote Post
stupkid
post Jan 29 2005, 10:44 PM
Post #2





Group: Members
Posts: 578
Joined: 2-January 04
From: Texas USA
Member No.: 1,324



The easiest way to fix your problem (unless you know vi), is to reflash the ROM.

I STRONGLY recommend that you DO NOT start deleting directories like /usr/lib/ipkg. You will remove all your package data and most likely will want to reflash the ROM.

For your edification the UNIX approximation of deltree would be 'rm -rf'.

The problem you are having is a common occurance with ipkg. Since Cacko uses the same package manager as the Sharp ROM you will have the same luck there. This problem usually occurs by an error in one of the /usr/lib/ipkg/lists/* files for a package or you may have an erroroneous entry in /usr/lib/ipkg/status. My recommendation would be to edit the /usr/lib/ipkg/status file with vi. From the Konsole run:

sudo su -
vi /usr/lib/ipkg/status

Look for any partially installed entries at the bottom of the file and remove them.

A normal entry will look like this:

Package: FBReader
Status: install ok installed
Root: /
Version: 0.5-1

A bad entry should have an error status. If you are not familiar with vi it will be quite painful.

You may also want to look at a thread on this same subject:

http://www.oesf.org/forums/index.php?showtopic=7124

Oh, and you can fix your problem with not being able to install to SD cards, by removing the /mnt/card/QtPalmtop directory from the SD card. This will DELETE any apps that you have installed to SD card, but you will now be able to install to SD.

If you are looking for a decent text editor try zeditor. It is in the Cacko feed.

I can assure you that the UNIX command line is quite powerful once you learn it. I've used both Wintel/DOS and various UNIX flavors professionally for many years. One of the best things about UNIX is the powerful command line. Learn it and you will love it.

Hope this helps.
Go to the top of the page
 
+Quote Post
Curious Aardvark
post Jan 30 2005, 09:27 AM
Post #3





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



QUOTE(stupkid @ Jan 30 2005, 06:44 AM)
The easiest way to fix your problem (unless you know vi), is to reflash the ROM.

I STRONGLY recommend that you DO NOT start deleting directories like /usr/lib/ipkg.  You will remove all your package data and most likely will want to reflash the ROM. 

For your edification the UNIX approximation of deltree would be 'rm -rf'.

The problem you are having is a common occurance with ipkg. Since Cacko uses the same package manager as the Sharp ROM you will have the same luck there.  This problem usually occurs by an error in one of the /usr/lib/ipkg/lists/* files for a package or you may have an erroroneous entry in /usr/lib/ipkg/status.  My recommendation would be to edit the /usr/lib/ipkg/status file with vi.  From the Konsole run:

sudo su -
vi /usr/lib/ipkg/status

Look for any partially installed entries at the bottom of the file and remove them. 

A normal entry will look like this:

Package: FBReader
Status: install ok installed
Root: /
Version: 0.5-1

A bad entry should have an error status.  If you are not familiar with vi it will be quite painful.

You may also want to look at a thread on this same subject:

http://www.oesf.org/forums/index.php?showtopic=7124

Oh, and you can fix your problem with not being able to install to SD cards, by removing the /mnt/card/QtPalmtop directory from the SD card.  This will DELETE any apps that you have installed to SD card, but you will now be able to install to SD.

If you are looking for a decent text editor try zeditor.  It is in the Cacko feed. 

I can assure you that the UNIX command line is quite powerful once you learn it.  I've used both Wintel/DOS and various UNIX flavors professionally for many years.  One of the best things about UNIX is the powerful command line.  Learn it and you will love it.

Hope this helps.
*
Go to the top of the page
 
+Quote Post
Curious Aardvark
post Jan 30 2005, 09:41 AM
Post #4





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



I'll give that a go. Looked at the zeditor first time around with cacko (when I could only install to card)- this is my second cackoo installation and it's right from scratch that nothing installs so that solution doesn't work :-) However as I've already deleted any loose files in the /usr/lib/pkg folder I'll probably have to do it again anyway.
As zeditor didn't seem to have wordcount and couldn't see any of my text files (i tend not to give them suffixes and there are a lot so it's less hassle to use an editor that's not quite so fussy) I'll stick to the opie advanced text editor - no wordcount but has the advantage of being able to see and load anything :-)
I actully want to install most things to memory - seeing as how after repartitioning I've got 96 mb going begging :-)

Right then I'll go have a wrestle with VI.

This may be a silly question but are the linux commands based on swedish words ? (or possibly penguin :-)
There certainly doesn't seem to be any english correlation between the initials used and the command effect (which is probably why I find it awkward).
like 'ls' for 'show directory files' What does lt stand for ?

Totally erroneous note: I've got to play with cp/m this week, maybe after that linux won't seem so bad :-)

Anyway off to flash and play - again :-)
Cheers for prompt answer
Alex
Go to the top of the page
 
+Quote Post
Curious Aardvark
post Jan 30 2005, 09:50 AM
Post #5





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



ps.
Okay once I've edited a file in vi - how on earth do I save and quit ?
:-)

Right off to reflash - and yep I'd already deleted the package file - possibly vi didn't work, hmm lol
It's all good fun innit :-)
Go to the top of the page
 
+Quote Post
Curious Aardvark
post Jan 30 2005, 10:18 AM
Post #6





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



Right Install Problem solved.
And while it's mentioned in other thread it's probably worth mentioning again.

Don't mess about with ipkg files. clean flash with cacko 1.22. copy any ipks you have to root (I used blank) cf card. Use the file manager to select the ipk - NOT the package instaler. IE: do not launch the package installer, let it search for ipks and then try to install them - this is still very iffy (ie: locks system while looking for ipks and requires battery removal reboot to get anywhere).
Just use file manager and install ipks one at a time and it seems to work fine.

Next question :-)

Is there an Ctrl, alt delete equivalent for zaurus ? This would be useful as in my exprience with both 5500 and c860 linux/qtopia is just as prone to lock ups and crashes as windows :-) (ooh controversial lol)

cheers for help. And as always it was something simple :-)
Go to the top of the page
 
+Quote Post
Curious Aardvark
post Jan 30 2005, 10:20 AM
Post #7





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



Okay next serious question.

Can you get the cacko rom to synchronise with qtopia desktop ?
All the info I can find is for synching with outlook. But I use qtopia with my 5500 and would like to keep using it with the 860.
cheers
Alex
Go to the top of the page
 
+Quote Post
Curious Aardvark
post Jan 30 2005, 04:18 PM
Post #8





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



Hmm maybe being able to install things is not such a good idea. Installed interstellar flames - to see how it would handle the 640x480 screen.

Now have no fonts or icons. Have just reflashed cacko (getting to be regular thing) And on reboot - still no fonts or icons.

I'm rapidly coming to the conclusion that good as it is cacko rom just has too many little idiosyncracies for me :-)
I know it's based on the sharp rom - but I just can't see sharp releasing a machine as unstable as this (hell even compared to my 5500 this is seriously dodgy), so I'm guessing the term ought to be 'loosely' based.


Going to nand-ram restore to original sharp, running out of patience - wish me luck :-)
Go to the top of the page
 
+Quote Post
Curious Aardvark
post Feb 2 2005, 02:39 PM
Post #9





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



Just an update. Yep most of you will have realised that some of the problems I was having were down to good old BOMI error (Bipedal Organic mobile Interface :-). Say no more lol

Have now nand-restored with trisofts latest c860 image and the thing is running extremely well :-)
Yes some of the nice little tweaks from the cacko rom are missing (I particularly liked the icons :-P) But the install package now works as I expected it to. ie: better than on my 5500 and infinitely better than on cacko. Also speed wise it's more in line with what i was expecting.
Only 'bug' so far is having installed kino2 - it does not run as well as it did on cacko lol - cest le vie. But overall very happy.
Just the one thing left........

Big question: which combination of software do i need to get my c860 synchronising with my qtopia desktops (win98se & xp-pro sp1) ?
I've got as far as the two talking to each other and then a box popping up telling me that: 'This version of qtopia desktop does not match that on your zaurus.'

Which I find strange as sysinfo tells me that the version of qtopia on both my 5500 and c860 are 1.54.
Drivers for c860 installed from jap cd no problem.

The qtopia version I am currently using on my desktop informs me it is 1.55 and it's the one that comes with latest 5600 and 5500 3.1 rom software.
I've tried several other versions and this is the only one that will even admit the 860 is there. Just won't sync :-(

I can't find a later sharp version (anyone got one for the 6000 I can try ?) and there is no qtopia (not even in japanese - I'd have tried that) on my zaurus c860 cd-rom.
Please don't tell me I'm going to have to go back to using outlook - come on guys don't let the demon Gates win this one :-)
Go to the top of the page
 
+Quote Post
stupkid
post Feb 2 2005, 02:53 PM
Post #10





Group: Members
Posts: 578
Joined: 2-January 04
From: Texas USA
Member No.: 1,324



Read the FAQ. The Sharp PIMs included in the c series don't sync with Qtopia desktop. Sharp changed the PIMs to use the DTM databases, which broke Qtopia desktop.
Go to the top of the page
 
+Quote Post
lareya
post Feb 2 2005, 07:12 PM
Post #11





Group: Members
Posts: 150
Joined: 2-May 04
From: Northern California, USA
Member No.: 3,115



I am surprised about your "adventure" with Cacko. I have upgraded to the 1.22 And it has been WONDERFUL! I love it, it has been stable and secure. My 1g sd card works fine, my CF wireless card also works well ( a little bit of fiddling -read the faq), but now it is rock steady. I wouldn't go back for anything. Sometimes I have a error w/ the installer, but I just erase the errors, and I am back in business. I really love going online and updating my proggies with the cacko feed. I love ko/pi! I would never go back to stock ROM, but that is just my experience. I am now experimenting w/ Ruby - I want to program ohmy.gif

Lareya
Go to the top of the page
 
+Quote Post
Curious Aardvark
post Feb 3 2005, 04:32 AM
Post #12





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



lol It's horses for courses. I don't particularly like linux (ducks the hail of bricks) but the c860 is the best pda on the planet and that's what I need :-)
And I'm including the c3000 in that - just don't like the idea of a harddrive in a pda - bloody things die often enough in desktops. Give me solid state electronics in a portable device any day :-)

I don't want to have to modify system files everytime I try to install a program - I do this for a living with gates crap and I don't want to have to start running support for my own pda :-)
Maybe it's my machine, maybe it's the softwre I was trying to run but i can only call it like it happened and cacko just kept locking up - sorry but that's how it was.

I just want it to work and do what I bought it for. And so far the sharp rom is the only one that's done that for me :-)

Yes I read the faqs :-)
So you're saying none of you out there can modify anything to get qtopia to work ?

I'm heartbroken and saddened by this news :-(

Truth to tell if my 5500 hadn't suddenly lost it's calendar function I'd already be back on outlook, but i need it working to move all my info from qtopia to outlook and I've been too busy playing with my c860 to flash the 5500 rom :-)
Go to the top of the page
 
+Quote Post
Stubear
post Feb 3 2005, 06:42 AM
Post #13





Group: Members
Posts: 1,164
Joined: 17-December 03
From: Melbourne, AUSTRALIA
Member No.: 1,219



QUOTE
Yes I read the faqs :-)
So you're saying none of you out there can modify anything to get qtopia to work ?

I'm heartbroken and saddened by this news :-(

Truth to tell if my 5500 hadn't suddenly lost it's calendar function I'd already be back on outlook, but i need it working to move all my info from qtopia to outlook and I've been too busy playing with my c860 to flash the 5500 rom :-)


The only version of qtopia-desktop that reliably works with the Cxx0 zaurus is the Japanese version that is included on the CD that came with your Z. And that only works on windows sad.gif

A number of posts on this forum have instructions for getting versions of the qtopia-desktop for the latest updates to the 5600 series, but I've never given it a go. Any version not from Sharp will never work because the Sharp version uses a closed dtm format instead of trolltechs xml format. It's a matter of not having the libraries/source needed to get it working.

Stu
Go to the top of the page
 
+Quote Post
Curious Aardvark
post Feb 3 2005, 11:02 AM
Post #14





Group: Members
Posts: 63
Joined: 29-January 05
From: england
Member No.: 6,345



Pretty sure I installed all the japanese software just to see what was there and there is no qtopia on it. Anyway now resigned to going back to the limitations of outlook - unfortunately the pim side of things isn't something I can adfford to mess about with as I really do need it functioning for synchronising appointments I make either on the z or on the pc :-)

I don't have any problems with windows :-)
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
2 User(s) are reading this topic (2 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 25th October 2014 - 05:27 AM